image: gcc:latest

pipelines:
  default:
    - step:
        script:
          - apt-get update
          - apt-get install -y cmake
          - apt-get install -y gperf
          - g++ --version
          - cmake --version
          - mkdir build
          - cd build
          - cmake ..
          - make -k run_all_tests
          - ./test/run_all_tests
